Module tdlight.api
Package it.tdlight.jni

# Class TdApi.MessageProximityAlertTriggered

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.MessageContent
it.tdlight.jni.TdApi.MessageProximityAlertTriggered

Enclosing class:
  TdApi

public static final class TdApi.MessageProximityAlertTriggered extends TdApi.MessageContent
A user in the chat came within proximity alert range.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`distance`
The distance between the users.
`TdApi.MessageSender`
`travelerId`
The identifier of a user or chat that triggered the proximity alert.
`TdApi.MessageSender`
`watcherId`
The identifier of a user or chat that subscribed for the proximity alert.

## Constructor Summary

Constructors
Constructor
Description
`MessageProximityAlertTriggered()`
A user in the chat came within proximity alert range.
`MessageProximityAlertTriggered(TdApi.MessageSender travelerId, TdApi.MessageSender watcherId, int distance)`
A user in the chat came within proximity alert range.
`MessageProximityAlertTriggered(DataInput input)`
A user in the chat came within proximity alert range.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### travelerId

public TdApi.MessageSender travelerId
The identifier of a user or chat that triggered the proximity alert.

### watcherId

public TdApi.MessageSender watcherId
The identifier of a user or chat that subscribed for the proximity alert.

### distance

public int distance
The distance between the users.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### MessageProximityAlertTriggered

public MessageProximityAlertTriggered()
A user in the chat came within proximity alert range.

### MessageProximityAlertTriggered

public MessageProximityAlertTriggered(TdApi.MessageSender travelerId, TdApi.MessageSender watcherId, int distance)
A user in the chat came within proximity alert range.

Parameters:
  `travelerId` - The identifier of a user or chat that triggered the proximity alert.
  `watcherId` - The identifier of a user or chat that subscribed for the proximity alert.
  `distance` - The distance between the users.

### MessageProximityAlertTriggered

public MessageProximityAlertTriggered(DataInput input) throws IOException
A user in the chat came within proximity alert range.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`